(*
 * This file is part of Cafesterol.
 * Copyright (C) 2007-2009 Xavier Clerc.
 * Original file (asmcomp/cmmgen.mli in the Objective Caml source
 * distribution) is Copyright (C) INRIA.
 *
 * Cafesterol is free software; you can redistribute it and/or modify
 * it under the terms of the Q Public License as published by
 * Trolltech (with a change to choice of law).
 *
 * Cafesterol is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Q Public License for more details.
 *
 * You should have received a copy of the Q Public License
 * along with this program.  If not, see
 * <http://trolltech.com/products/qt/licenses/licensing/qpl>.
 *)

(** Compilation from lambda to Java bytecode. *)

val compile_implementation : string -> Format.formatter -> int * Lambda.lambda -> unit
(** [compile_implementation prefixname ppf (size, l)] compiles lambda [l],
   [size] being the size of its associated global. [prefixname] is the prefix
   path of created files while [fmt] is used for pretty-printing. *)
