(*
 * This file is part of Cafesterol.
 * Copyright (C) 2007-2009 Xavier Clerc.
 *
 * Cafesterol is free software; you can redistribute it and/or modify
 * it under the terms of the Q Public License as published by
 * Trolltech (with a change to choice of law).
 *
 * Cafesterol is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Q Public License for more details.
 *
 * You should have received a copy of the Q Public License
 * along with this program.  If not, see
 * <http://trolltech.com/products/qt/licenses/licensing/qpl>.
 *)

(** Java-specific command-line flags. *)

val applet : bool ref
val dump_jlambda : bool ref
val dump_minstr : bool ref
val class_path : (string list) ref
val no_builtin : bool ref
val print_primitives : bool ref
val additional_providers : (string list) ref
val java_package : string ref
val cadmium_parameters : string list ref
val scripting : bool ref
val standalone : bool ref
val additional_classes : string list ref
val additional_files : string list ref
val additional_jars : string list ref
val servlet : string option ref
val no_merge : bool ref
val no_stackmap : bool ref
